backend:
  name: git-gateway
  # name: gitlab
  # repo: esi-cube/Engineering/lea/scrollytest
  # app_id: 7048be7601b304baa544a7d905897b56d22c2c7de8d87dd69674483657043947
  # auth_type: pkce
  branch: main # Branch to update (optional; defaults to master)s

media_folder: 'static/images/'
public_folder: '/images/'
publish_mode: editorial_workflow
display_url: "https://www2.cubegroup.global/"
site_url: "https://idyllic-crumble-1911ba.netlify.app/"

collections:
  - label: "Header Navigation Bar"
    name: headernav
    editor: 
      preview: false
    preview_path: "/"
    delete: false
    files:
      - label: Navigation Links
        name: navlinks
        file: "src/markdowncontent/header-navigation/headerlinks.md"
        fields:
          - {label: Name,
             name: name,
             widget: hidden,
             default: Header Navigation Links }
          - {label: Svelte Layout Component,
             name: layout,
             widget: hidden,
             default: headernav}
          - label: Links
            name: links
            widget: list
            collapsed: true
            fields: 
              - { label: Link Name, name: name, widget: string }
              - { label: Anchor or URL, name: link, widget: string }  
  - label: "Home Page"
    name: "home"
    editor:
      preview: false
    files:
      - label: "SEO and Social Sharing"
        name: "meta"
        file: "src/markdowncontent/homepage/meta.md"
        fields:
          - { label: Meta Title, name: title, widget: string, hint: This name will show in the browser tab and in search results }
          - { label: Type, name: type, widget: hidden, default: pagemeta }
          - { label: Order, name: order, widget: hidden, default: -1 }
          - { label: Meta Description, name: description, widget: text, hint: This description will show in search results }
          - {label: Canonical URL, name: ogcanonicalurl, widget: hidden, default: null}
          - { label: Social Sharing Title, name: ogtitle, widget: string, hint: This title will show when you share this page as a post on Twitter, LinkedIn, Facebook etc.}
          - { label: Social Sharing Description, name: ogdescription, widget: text, hint: This description will show when you share this page as a post on Twitter, LinkedIn, Facebook etc.}
          - { label: Social Sharing Image, name: ogimage, widget: image, choose_url: false, allow_multiple: false }
          - { label: Opengraph Type, name: ogtype, widget: hidden, default: website }
          - { label: Opengraph Locale, name: oglocale, widget: hidden, default: en_US }
          - { label: Social Sharing Image Type, name: ogimagetype, hint: 'File type of the image used for social sharing, for example image/jpg, image/png or image/webp', widget: string}
          - { label: Social Sharing Image Width, name: ogimagewidth, hint: width of the social sharing image in pixels, for example 1200px, default: 1200px, widget: string }
          - { label: Social Sharing Image Height, name: ogimageheight, hint: height of the social sharing image in pixels, for example 630px, default: 630px, widget: string}
      - label: "Hero Section"
        name: "intro"
        file: "src/markdowncontent/homepage/hero.md"
        preview_path: "/"
        fields:
          - { label: Title, name: title, widget: hidden, default: intro}
          - { label: Svelte Component for Content Display (Layout), name: layout, widget: hidden, default: herodark }
          - {label: Hero Big Heading, name: body, widget: markdown, hint: There is only one big title displayed in the hero section. Write it here.}
      - label: "Why We Do It"
        name: "why"
        file: "src/markdowncontent/homepage/why.md"
        preview_path: "#whyWeDoIt"
        fields:
          - { label: Title, name: title, widget: string}
          - { label: Unique Section ID, name: id, widget: hidden, default: whyWeDoIt }
          - { label: Svelte Component for Content Display (Layout), name: layout, widget: hidden, default: basic}
          - { label: Text Content for Why We Do It Section, name: body, widget: markdown }
  - label: "Home Page Scrolly Sections"
    label_singular: "Scrolly Section"
    name: 'scrollysections'
    folder: src/markdowncontent/homepage/scrollysections
    create: false
    delete: false
    path: '{{slug}}'
    preview_path: "#{{id}}"
    editor:
      preview: false
    fields:
    - { label: Title, name: title, widget: hidden, hint: "When creating new scrolly sections, this will be the filename."}
    - { label: Background Color, name: bgcolor, widget: hidden, hint: "This color will display in the background on mobile devices, instead of the background image. If you choose any color starting with 'Dark', remember to set your text to white, and choose a Dark background image for larger screens.", options: [{label: Light Slate, value: bg-slate-50}, {label: Medium Slate, value: bg-slate-100}, {label: Medium Ivory, value: bg-ivory-200 }, {label: Medium Grey, value: bg-grey-100 }, {label:  Dark Slate, value: bg-slate-900}], default: bg-slate-50 }
    - { label: Background Image Behaviour, name: bgattachment, widget: hidden, options: [{label: Stay In Place (Scrollover), value: 'fixed',}, {label: Scroll with Section, value: scroll}], hint: Set whether you want the background to move with the section, or to stay in place as the next section scrolls over it.}
    - { label: Display Text in White, name: whitetext, widget: hidden, default: false }
    - { label: Hide Background Image on all devices, name: hidebgimage, widget: hidden, default: false, hint: "Sometimes having any background image is simply too much noise. Toggle this switch 'ON' if you want to disply only the background color you chose, even on large devices", required: false}
    - { label: Type, name: type, widget: hidden, default: "scrollysection" }
    - { label: Unique Section ID, name: id, widget: hidden, hint: "set a unique ID for this section, so that the website code can grab it whenever we want to navigate to this section specifically. format it as oneWord, in camelCase, justLikeThis.", default: replaceMe }
    - { label: Order, name: order, widget: number, hint: 'Choose the order in which you want this scrollysection to appear on the page.'}
    - { label: Section Height, name: height, widget: hidden, options: [{ label: Fullscreen, value: fullscreen}, {label: "Height of the Content, with padding", value: content}], hint: "Set this to 'Fullscreen' if you want to dedicate the entire viewport height to this section, or set it to 'Height of the Content' to make it's height automatic depending on the content."}
    - { label: Text Alignment, name: textalign, widget: hidden, options: ['left', 'right', 'center'], hint: "Choose to align text left, right, or center. Centered text is best if you are not using video in this section. If you are using video, your video will appear to the left if your text alignment is set to right, and vice versa if your text alignment is set to left." }
    - { label: Section Heading, name: heading, widget: string, hint: 'The heading for this section'}
    - { label: Hide Heading, name: hideheading, widget: boolean, hint: "Toggle this switch to 'ON' if you don't want a heading displayed on this section. If you did not enter a heading in the box above, note that a dummy heading will be displayed if this switch is not toggled 'ON'.", required: false}
    - { label: "Section Subheading", name: subheading, widget: string, hint: "An optional subheading for this section", required: false}
    - { label: Hide Subheading, name: hidesubheading, widget: boolean, hint: "Toggle this switch to 'ON' if you don't want a subheading displayed on this section. If you did not enter a subheading in the box above, note that a dummy subheading will be displayed if you do not toggle this switch to 'ON'.", required: false}
    - { label: Section Text Content, name: text, widget: text, hint: "Enter the body text for this section here." }
    - { label: Hide Section Text, name: hidetext, widget: boolean, hint: "Toggle this switch to 'ON' if you want to hide body text content on this section. If you did not enter body text in the box above, note that dummy text will be displayed if this switch is not toggled to 'ON'", required: false}
    - { label: Paragraph Text Size, name: paragraphtextsize, widget: hidden, default: xl }
    - { label: Include a Video, name: hasvideo, widget: boolean, required: false }
    - { label: Vimeo Video ID, name: videoid, widget: string, hint: Paste the ID of the vimeo video you want to embed, here., required: false}
    - { label: Unique ID for Video Container, name: videocontainerid, widget: string, hint: "Enter a unique Id of one word or multiple words in camelCase (justLikeThis) - this is for the code to create a place for the video inside the website!", required: false}
    - { label: Video Section, name: videosection, widget: select, options: ['Improve Audio', 'Caller Abandonment', 'Useful Audio'], hint: "This helps the code choose the correct thumbnail for the video. This will be changed later so the thumbnail can be uploaded here!", required: false }
    - { label: Video Title, name: videotitle, widget: string, hint: "Use the name of the video as it is on Vimeo - when we include this, we prevent an accessibility warning on the video player.", required: false }
  - label: "Explore with CUBE"
    name: "explore"
    delete: false
    editor:
      preview: false
    files:
      - label: "SEO and Social Sharing"
        name: "pagemeta"
        file: "src/markdowncontent/explore-with-cube/meta.md"
        fields:
          - { label: Meta Title, name: title, widget: string, hint: This name will show in the browser tab and in search results }
          - { label: Type, name: type, widget: hidden, default: pagemeta }
          - { label: Order, name: order, widget: hidden, default: -1 }
          - { label: Meta Description, name: description, widget: text, hint: This description will show in search results }
          - {label: Canonical URL, name: ogcanonicalurl, widget: hidden, default: null}
          - { label: Social Sharing Title, name: ogtitle, widget: string, hint: This title will show when you share this page as a post on Twitter, LinkedIn, Facebook etc.}
          - { label: Social Sharing Description, name: ogdescription, widget: text, hint: This description will show when you share this page as a post on Twitter, LinkedIn, Facebook etc.}
          - { label: Social Sharing Image, name: ogimage, widget: image, choose_url: false, allow_multiple: false }
          - { label: Opengraph Type, name: ogtype, widget: hidden, default: website }
          - { label: Opengraph Locale, name: oglocale, widget: hidden, default: en_US }
          - { label: Social Sharing Image Type, name: ogimagetype, hint: 'File type of the image used for social sharing, for example image/jpg, image/png or image/webp', widget: string}
          - { label: Social Sharing Image Width, name: ogimagewidth, hint: width of the social sharing image in pixels, for example 1200px, default: 1200px, widget: string }
          - { label: Social Sharing Image Height, name: ogimageheight, hint: height of the social sharing image in pixels, for example 630px, default: 630px, widget: string}
      - label: "Heading and Intro"
        name: "intro"
        file: "src/markdowncontent/explore-with-cube/intro.md"
        preview_path: "explore-with-cube"
        fields:
          - {label: Title, name: title, widget: hidden}
          - {label: Heading, name: heading1, widget: string}
          - {label: Order, name: order, widget: hidden, default: 0}
          - {label: Type, name: type, widget: hidden, default: intro}
          - {label: Intro Text, name: body, widget: markdown}
  - label: "Explore with CUBE Collaboration Steps"
    name: "collaboration-steps"
    folder: "src/markdowncontent/explore-with-cube"
    create: false
    slug: "{{slug}}"
    preview_path: "/explore-with-cube"
    delete: false
    filter: { field: "type", value: "processItem" }
    editor:
      preview: false
    fields:
      - { label: Title, name: title, widget: string }
      - { label: Type, name: type, widget: hidden, default: processItem}
      - { label: Order, name: order, widget: number, hint: 'The order in which you want this step to appear on the page'}
      - { label: Text for this Collaboration Step, name: body, widget: markdown }